Constants (consumer-service 1.8.0-SNAPSHOT API)
Date: 2013-02-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.consumer
Class Constants

    java.lang.Object
      org.gcube.messaging.common.consumer.Constants

    public class Constants

extends Object

Nested Class Summary
`static class` | `Constants.MailTemplateToken`
`static class` | `Constants.NotificationSubType`

Field Summary
`static String` | `ACCOUNTINGDBFILE_JNDI_NAME` Name of the AccountingDBFile in the JNDI configuration of the service.
`static String` | `ACCOUNTINGSYTEMDBFILE_JNDI_NAME` Name of the AccountingSystemDBFile in the JNDI configuration of the service.
`static String` | `CONFIGDIR_JNDI_NAME` Name of the CONFIGDIR_JNDI_NAME in the JNDI configuration of the service.
`static String` | `CONNECT_TO_USERMANAGEMENT_DB_JNDI_NAME` Name of the connectToUserManagementDB in the JNDI configuration of the service.
`static String` | `DBHOST_JNDI_NAME` Name of the DBName in the JNDI configuration of the service.
`static String` | `DBPASS_JNDI_NAME` Name of the DBPass in the JNDI configuration of the service.
`static String` | `DBPORT_JNDI_NAME` Name of the DBNport in the JNDI configuration of the service.
`static String` | `DBUSER_JNDI_NAME` Name of the DBUser in the JNDI configuration of the service.
`static String` | `JNDI_NAME` Name of the port-type in the JNDI configuration of the service.
`static String` | `MAIL_TEMPLATE_FILE_JNDI_NAME` Name of the MailTemplatesFile in the JNDI configuration of the service.
`static String` | `MAILRECIPIENTS_JNDI_NAME` Name of the MAILRECIPIENTS_JNDI_NAME in the JNDI configuration of the service.
`static String` | `MAXDBCONNECTIONS_JNDI_NAME` Name of the MaxDBConnection in the JNDI configuration of the service.
`static String` | `MESSAGESSUBSCRIPTIONS_JNDI_NAME`
`static String` | `MONITORINGDBFILE_JNDI_NAME` Name of the MonitoringDBFile in the JNDI configuration of the service.
`static String` | `NOTIFYBYMAIL_JNDI_NAME` Name of the CONFIGDIR_JNDI_NAME in the JNDI configuration of the service.
`static String` | `SUBSCRIPTIONSMAPPING_JNDI_NAME` Name of the UseEmbeddedDB in the JNDI configuration of the service.
`static String` | `USEEMBEDDEDBROKER_JNDI_NAME` Name of theUSEEMBEDDEDBROKER_JNDI_NAME in the JNDI configuration of the service.
`static String` | `USEEMBEDDEDDB_JNDI_NAME` Name of the UseEmbeddedDB in the JNDI configuration of the service.

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JNDI_NAME

    public static final String JNDI_NAME

  Name of the port-type in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### ACCOUNTINGDBFILE_JNDI_NAME

    public static final String ACCOUNTINGDBFILE_JNDI_NAME

  Name of the AccountingDBFile in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### MONITORINGDBFILE_JNDI_NAME

    public static final String MONITORINGDBFILE_JNDI_NAME

  Name of the MonitoringDBFile in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### ACCOUNTINGSYTEMDBFILE_JNDI_NAME

    public static final String ACCOUNTINGSYTEMDBFILE_JNDI_NAME

  Name of the AccountingSystemDBFile in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### MAILRECIPIENTS_JNDI_NAME

    public static final String MAILRECIPIENTS_JNDI_NAME

  Name of the MAILRECIPIENTS_JNDI_NAME in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### CONFIGDIR_JNDI_NAME

    public static final String CONFIGDIR_JNDI_NAME

  Name of the CONFIGDIR_JNDI_NAME in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### NOTIFYBYMAIL_JNDI_NAME

    public static final String NOTIFYBYMAIL_JNDI_NAME

  Name of the CONFIGDIR_JNDI_NAME in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### USEEMBEDDEDBROKER_JNDI_NAME

    public static final String USEEMBEDDEDBROKER_JNDI_NAME

  Name of theUSEEMBEDDEDBROKER_JNDI_NAME in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### SUBSCRIPTIONSMAPPING_JNDI_NAME

    public static final String SUBSCRIPTIONSMAPPING_JNDI_NAME

  Name of the UseEmbeddedDB in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### MESSAGESSUBSCRIPTIONS_JNDI_NAME

    public static final String MESSAGESSUBSCRIPTIONS_JNDI_NAME

See Also:
  Constant Field Values

### USEEMBEDDEDDB_JNDI_NAME

    public static final String USEEMBEDDEDDB_JNDI_NAME

  Name of the UseEmbeddedDB in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### DBUSER_JNDI_NAME

    public static final String DBUSER_JNDI_NAME

  Name of the DBUser in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### DBPASS_JNDI_NAME

    public static final String DBPASS_JNDI_NAME

  Name of the DBPass in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### DBHOST_JNDI_NAME

    public static final String DBHOST_JNDI_NAME

  Name of the DBName in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### DBPORT_JNDI_NAME

    public static final String DBPORT_JNDI_NAME

  Name of the DBNport in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### MAXDBCONNECTIONS_JNDI_NAME

    public static final String MAXDBCONNECTIONS_JNDI_NAME

  Name of the MaxDBConnection in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### MAIL_TEMPLATE_FILE_JNDI_NAME

    public static final String MAIL_TEMPLATE_FILE_JNDI_NAME

  Name of the MailTemplatesFile in the JNDI configuration of the service.

  See Also:
    Constant Field Values

### CONNECT_TO_USERMANAGEMENT_DB_JNDI_NAME

    public static final String CONNECT_TO_USERMANAGEMENT_DB_JNDI_NAME

  Name of the connectToUserManagementDB in the JNDI configuration of the service.

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.